Summary: Cued build of ati fglrx drivers for dpo/suse
Name: cued-ati-fglrx
Version: 1
Release: 1
BuildRoot: %{_tmppath}/%{name}-%{version}-build
License: CUED
Packager: Patrick Gosling <jpmg@eng.cam.ac.uk>
Group: CUED
BuildArchitectures: x86_64
Source0: ati-8.37.6-x86.x86_64-files.tar.gz 

%description
fglrx drivers for dpo/suse terminals

%prep
%build
%install
tar -zx -C $RPM_BUILD_ROOT -f %{SOURCE0}
cd $RPM_BUILD_ROOT/lib/modules/fglrx/build_mod && ./make.sh
cd $RPM_BUILD_ROOT/lib/modules/fglrx && cp fglrx.`uname -r`.ko /lib/modules/`uname -r`/kernel/drivers/char/drm/
/bin/rm $RPM_BUILD_ROOT/usr/lib64/xorg/FGL.renamed.libGL.so.1.2
/bin/rm $RPM_BUILD_ROOT/usr/lib/libGL.so
/bin/rm $RPM_BUILD_ROOT/usr/lib/libGL.so.1
/bin/rm $RPM_BUILD_ROOT/usr/lib64/libGL.so
/bin/rm $RPM_BUILD_ROOT/usr/lib64/libGL.so.1

%files
/etc/ati
/etc/profile.d/ati-fglrx.sh
/lib/modules/2.6.18.8-0.3-default/kernel/drivers/char/drm/fglrx.ko
/lib/modules/fglrx
/opt/kde3/share/applnk/amdcccle_kde3.desktop
/usr/X11R6
/usr/bin/amdcccle
/usr/bin/aticonfig
/usr/bin/fgl_glxgears
/usr/bin/fglrx_xgamma
/usr/bin/fglrxinfo
/usr/include/GL/glATI.h
/usr/include/GL/glxATI.h
/usr/include/X11/extensions/fglrx_gamma.h
/usr/lib/dri/fglrx_dri.so
/usr/lib/xorg/libGL.so
/usr/lib/xorg/libGL.so.1
/usr/lib/xorg/libGL.so.1.2
/usr/lib64/dri/fglrx_dri.so
/usr/lib64/xorg/libGL.so
/usr/lib64/xorg/libGL.so.1
/usr/lib64/xorg/libGL.so.1.2
/usr/lib64/xorg/libfglrx_dm.a
/usr/lib64/xorg/libfglrx_dm.so.1.0
/usr/lib64/xorg/libfglrx_gamma.a
/usr/lib64/xorg/libfglrx_gamma.so.1
/usr/lib64/xorg/libfglrx_gamma.so.1.0
/usr/lib64/xorg/libfglrx_pp.a
/usr/lib64/xorg/libfglrx_pp.so.1.0
/usr/lib64/xorg/libfglrx_tvout.a
/usr/lib64/xorg/libfglrx_tvout.so.1
/usr/lib64/xorg/libfglrx_tvout.so.1.0
/usr/lib64/xorg/modules/drivers/fglrx_drv.so
/usr/lib64/xorg/modules/glesx.so
/usr/lib64/xorg/modules/linux/libfglrxdrm.so
/usr/sbin/atieventsd
/usr/share/applnk/amdcccle.kdelnk
/usr/share/ati
/usr/share/doc/ati
/usr/share/gnome/apps/amdcccle.desktop
/usr/share/icons/ccc_large.xpm
/usr/share/icons/ccc_small.xpm
/usr/share/man/man8/atieventsd.8.gz
/usr/src/ati

%post
grep -q lib/xorg /etc/ld.so.conf || \
   cat - /etc/ld.so.conf > /etc/ld.so.conf.new <<EOF  
/usr/lib/xorg  
/usr/lib64/xorg 
EOF
grep ^/lib /etc/ld.so.conf.new && mv /etc/ld.so.conf.new /etc/ld.so.conf
/sbin/ldconfig 
/sbin/depmod -a

%postun
egrep -v '/usr/lib/xorg|/usr/lib64/xorg' /etc/ld.so.conf > /etc/ld.so.conf.new
grep ^/lib /etc/ld.so.conf.new && mv /etc/ld.so.conf.new /etc/ld.so.conf
/sbin/ldconfig 
/sbin/depmod -a
